#include "DxLib.h"
#include "Player.h"
#include "Keyboard.h"
#include "Padconfig.h"

int WINAPI WinMain(HINSTANCE,HINSTANCE,LPSTR,int){
        ChangeWindowMode(TRUE),DxLib_Init(),SetDrawScreen( DX_SCREEN_BACK );

		Player_t Player1,Player2;
        Player_Initialize( &Player1,-50.0f,0.0f);// 
		Player_Initialize( &Player2,50.0f,0.0f);// 
		config_ini(&Player1);

        while( ScreenFlip()==0 && ProcessMessage()==0 && ClearDrawScreen()==0 ){

                Keyboard_Update();

                Player_Calc( &Player1);  // vZ
				coord_P_320240(&Player1,&Player2);

                Player_Graph( Player1, expansion( PlayersL(&Player1 ,&Player2), 200.0f)); // `
				Player_Graph( Player2, expansion( PlayersL(&Player1 ,&Player2), 200.0f)); // `
        }

        Player_Finalize(Player1);  // I
		Player_Finalize(Player2);  // I

        DxLib_End();
        return 0;
}
