#include "DxLib.h"
#include "Player.h"
#include "Keyboard.h"
#include "Padconfig.h"

void config_ini(Player_t *Player){
	Player->configpad[0]=0; //down
	Player->configpad[1]=1; //left
	Player->configpad[2]=2; //right
	Player->configpad[3]=3; //up
}

void input_pad_or_key(int *p,int k){
	*p=*p>k ? *p:k;
}

void GetHitPadStateAll(Player_t *Player){
    int KEY[4];
    KEY[0]=KEY_INPUT_LEFT;KEY[1]=KEY_INPUT_UP;
    KEY[2]=KEY_INPUT_RIGHT;KEY[3]=KEY_INPUT_DOWN;
    int i,PadInput;
    PadInput=GetJoypadInputState(DX_INPUT_PAD1);
    for(i=0;i<4;i++){
        if(PadInput&(1<<i)) Player->key[i]++;
        else             Player->key[i]=0;
    }
    for(int n=0;n<4;n++){
        input_pad_or_key(&Player->key[Player->configpad[n]],Keyboard_Get(KEY[n]));
    }
} 


int CheckStatePad_Player1(unsigned int Handle,Player_t *Player){
	if(0<=Handle&&Handle<PAD_MAX){
		return Player->key[Handle];
	}	
	else{
        printfDx("CheckStatePadɓnlsł\n");
        return -1;
    }
}
