#include "DxLib.h"
#include "Keyboard.h"
#include "Player.h"
#include "Padconfig.h"
#include "math.h"

double PX,PY,PXd,PYd;
int Phandle;

// 
void Player_Initialize(Player_t *Player ,double x ,double y){
        Player->img = LoadGraph("摜/LN^01.png");
		Player->y = y;
		Player->x = x;
		PX=0.0f;
		PY=0.0f;
}

// vZ
void Player_Calc(Player_t *Player){
        if( CheckStatePad_Player1( Player->configpad[3],Player ) > 0 ){
                Player->y-=3;
        }
        if( Keyboard_Get( KEY_INPUT_DOWN ) > 0 ){
                Player->y+=3;
        }
		if( Keyboard_Get( KEY_INPUT_LEFT ) > 0 ){
                Player->x-=3;
        }
		if( Keyboard_Get( KEY_INPUT_RIGHT ) > 0 ){
                Player->x+=3;
        }
}

void coord_P_320240(Player_t *Player1,Player_t *Player2){
	Player1->dx=Player1->x+PX_320(Player1->x,Player2->x);
	Player1->dy=Player1->y+PY_240(Player1->y,Player2->y);
	Player2->dx=Player2->x+PX_320(Player1->x,Player2->x);
	Player2->dy=Player2->y+PY_240(Player1->y,Player2->y);
}

double PX_320(double Player1x,double Player2x){
	double PO,M;
	PO=((Player1x)+(Player2x))/2;
	M=320-PO;
	return M;
}

double PY_240(double Player1x,double Player2x){
	double PO,M;
	PO=((Player1x)+(Player2x))/2;
	M=240-PO;
	return M;
}

double PlayersL(Player_t *Player1,Player_t *Player2){
		double X,Y,N;
		X=(Player1->x)-(Player2->x);
		Y=(Player1->y)-(Player2->y);
		N=sqrt(X*X+Y*Y);
		return N;
}


double expansion(double L,double W){
		if(L<=W)	return 1.0;
		else if (L>W)return W/L;
}

// `悷
void Player_Graph(Player_t Player , double D){
        //DrawGraph( Player.x, Player.y, Player.img, TRUE );
		DrawModiGraphF( Player.dx-112/2*D,Player.dy-144/2*D,
						Player.dx+112/2*D-1,Player.dy-144/2*D,
						 Player.dx+112/2*D-1,Player.dy+144/2*D-1,
						  Player.dx-112/2*D,Player.dy+114/2*D-1,
						   Player.img,TRUE);
}

// I
void Player_Finalize(Player_t Player){
        DeleteGraph( Player.img );
}